Get Stop Orders
curl --request GET \
--url https://api.ondoperps.xyz/v1/perps/stop_order \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.ondoperps.xyz/v1/perps/stop_order"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.ondoperps.xyz/v1/perps/stop_order', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"result": [
{
"market": "AAPL-USD.P",
"positionDirection": "long",
"stopLoss": "200.00",
"takeProfit": "260.00"
}
]
}{
"success": false,
"error": "Description of the error",
"error_code": "auth_missing"
}{
"success": false,
"error": "Description of the error",
"error_code": "account_not_allowed"
}{
"success": false,
"error": "Description of the error",
"error_code": "too_many_requests"
}{
"success": false,
"error": "Description of the error",
"error_code": "unknown"
}Stop Orders
Get Stop Orders
Gets a list of all stop orders for all markets. This section covers Position-Level stop orders only (take-profit and stop-loss attached to open positions). For TP/SL attached to limit orders, see the order creation payload (takeProfit, stopLoss, etc.). For how stop orders work, see Take profit and stop loss.
GET
/
v1
/
perps
/
stop_order
Get Stop Orders
Authorizations
BearerAuthApiKeyAuth
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Response
List of stop orders across all markets and position directions
Whether the request was successful
Example:
true
Error message, present only on failure
Example:
""
Semantic error code. See each endpoint's error responses for the specific codes it can return.
Deprecation notice, if applicable
Example:
""
Show child attributes
Show child attributes